Bug 76144 - the new obsoletes functionality introduces unexpected side effects
the new obsoletes functionality introduces unexpected side effects
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks: 77359
  Show dependency treegraph
 
Reported: 2002-10-17 11:08 EDT by Need Real Name
Modified: 2015-01-07 19:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-23 12:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-17 11:08:22 EDT
Description of Problem:

With the new obsoletes functionality, the expected behavior of up2date has
changed in a way that was suprising, and could be problematic.

Version-Release number of selected component (if applicable):

up2date-2.7.61-7.x.1

How Reproducible:

100%

Steps to Reproduce:
1. Install a 7.0 machine with LPRng
2. run the initial up2date -- note that cups is not offered
3. run another up2date with the new client -- note that cups is now offered

Actual Results:

with the 2.7.61-7.x.1 up2date, it tries to upgrade LPRng -> cups

Expected Results:

the previous behavior where LPRng was kept at errata release levels
Comment 1 Adrian Likins 2002-10-18 17:04:35 EDT
working on some server side fixes for this...

basically get to blacklist random packages from 6.2-7.3 with bogus
useage of Obsoletes.
Comment 2 Adrian Likins 2002-12-06 17:12:47 EST
the server side changes, and the new obsoletes blacklist support 
should take care of this. Moving to modified.
Comment 3 Need Real Name 2003-06-23 12:46:44 EDT
The given test case works, and I'm going to assume that all instances of this
issue have been fixed.

Note You need to log in before you can comment on or make changes to this bug.